<?php

class Fights extends CActiveRecord {

    const ROLE_ADMIN = 'administrator';
    const ROLE_MODER = 'moderator';
    const ROLE_USER = 'user';
    const ROLE_BANNED = 'banned';

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'fights';
    }

    public static function findFight($id) {
        $fight = self::model()->findByPk($id);
        if (!$fight) {
            throw new CHttpException(404, 'Произошла неизвестная ошибка');
        } else
            return $fight;
    }  
}
